using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace WebApplication1.Models {

	public enum Poste {
		[Display(Name = "Président")]
		President,
		Directeur,
		Chef,
		[Display(Name = "Sous-chef")]
		SousChef,
		Grouillot
	}

	public class Employe {
		[Required(ErrorMessage = "Sans Id ça va être dur dur !" )]
		public int Id { get; set; }
		[Required(ErrorMessage = "Pas d'emploi fictif chez nous !" )]
		public Poste Poste { get; set; }
		[Required(ErrorMessage = "Pas d'agent secret ici, vous vous gourez de page !" )]
		[MaxLength(25, ErrorMessage = "25 caractères maxi !"), MinLength(2, ErrorMessage = "2 caractères mini !")]
		public string Nom { get; set; }
	}

}